> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Image

> Generate images from text with Ideogram 4.

**Key Features:**
- Accurate text rendering for posters, logos and typography
- 15 aspect ratios, from `3:1` to `1:3`, always at about 4 megapixels
- Optional negative prompt, Magic Prompt control and seed

**Best for:**
- Posters, flyers and social graphics with legible text
- Logos and typographic designs

**Credits:** the price is set by `rendering_speed` (`TURBO`, `DEFAULT` or
`QUALITY`). The other parameters do not affect it.




## OpenAPI

````yaml POST /v1/ai/text-to-image/ideogram-4
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/ai/text-to-image/ideogram-4:
    post:
      tags:
        - text-to-image
      summary: Create image from text - Ideogram 4
      description: >
        Generate images from text with Ideogram 4.


        **Key Features:**

        - Accurate text rendering for posters, logos and typography

        - 15 aspect ratios, from `3:1` to `1:3`, always at about 4 megapixels

        - Optional negative prompt, Magic Prompt control and seed


        **Best for:**

        - Posters, flyers and social graphics with legible text

        - Logos and typographic designs


        **Credits:** the price is set by `rendering_speed` (`TURBO`, `DEFAULT`
        or

        `QUALITY`). The other parameters do not affect it.
      operationId: create_image_from_text_ideogram_4
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/tti-ideogram-4-request'
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                success - in progress task:
                  $ref: '#/components/examples/200-task-in-progress'
              schema:
                $ref: >-
                  #/components/schemas/get_style_transfer_task_status_200_response
          description: >-
            OK - The request has succeeded and the Ideogram 4 process has
            started.
        '400':
          $ref: '#/components/responses/400-bad-request'
        '401':
          $ref: '#/components/responses/401-unauthorized'
        '500':
          $ref: '#/components/responses/500-internal-server-error'
        '503':
          $ref: '#/components/responses/503-service-unavailable'
components:
  schemas:
    tti-ideogram-4-request:
      properties:
        prompt:
          description: >
            Text description of the image to generate. Ideogram 4 is especially
            good

            at rendering text: put the words to draw in quotes.
          example: >-
            A vintage travel poster of a lighthouse at dusk with the text
            "Ideogram 4" in bold art deco letters
          maxLength: 10000
          minLength: 1
          type: string
        webhook_url:
          description: >
            Optional callback URL that will receive asynchronous notifications
            whenever the task changes status. The payload sent to this URL is
            the same as the corresponding GET endpoint response, but without the
            data field.
          example: https://www.example.com/webhook
          format: uri
          type: string
        negative_prompt:
          description: >
            What to leave out of the image. Descriptions in `prompt` take
            precedence

            over this field.
          example: blurry, low contrast
          maxLength: 2000
          type: string
        aspect_ratio:
          default: '1:1'
          description: >
            Aspect ratio for the generated image. The output is always about 4

            megapixels: 2048x2048 at `1:1`, and the same area at the other
            ratios.


            **Available ratios:**

            - `1:1`: Square (default)

            - `16:9`, `9:16`: Widescreen/Social stories

            - `16:10`, `10:16`: Widescreen/Tall

            - `4:3`, `3:4`: Standard

            - `3:2`, `2:3`: Classic photo

            - `5:4`, `4:5`: Photo print

            - `2:1`, `1:2`, `3:1`, `1:3`: Banners and vertical panels
          enum:
            - '1:1'
            - '16:9'
            - '9:16'
            - '16:10'
            - '10:16'
            - '4:3'
            - '3:4'
            - '3:2'
            - '2:3'
            - '5:4'
            - '4:5'
            - '2:1'
            - '1:2'
            - '3:1'
            - '1:3'
          example: '1:1'
          type: string
        rendering_speed:
          default: DEFAULT
          description: |
            Quality tier. It sets the price of the generation.

            **Available tiers:**
            - `TURBO`: Fastest and cheapest
            - `DEFAULT`: Balanced quality and speed (default)
            - `QUALITY`: Highest quality, slowest
          enum:
            - TURBO
            - DEFAULT
            - QUALITY
          example: DEFAULT
          type: string
        magic_prompt:
          default: AUTO
          description: >
            Whether Ideogram's Magic Prompt rewrites the prompt into a more
            detailed

            one before generating. `AUTO` lets the model decide; use `OFF` to
            render

            the prompt verbatim. It does not affect the price.
          enum:
            - AUTO
            - 'ON'
            - 'OFF'
          example: AUTO
          type: string
        seed:
          description: Seed for reproducible results. When omitted, a random seed is used.
          example: 42
          maximum: 2147483647
          minimum: 0
          type: integer
      required:
        - prompt
      title: Ideogram 4 Text-to-Image Request
      type: object
    get_style_transfer_task_status_200_response:
      example:
        data:
          generated:
            - https://openapi-generator.tech
            - https://openapi-generator.tech
          task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status: CREATED
      properties:
        data:
          $ref: '#/components/schemas/task-detail'
      required:
        - data
      type: object
    task-detail:
      allOf:
        - $ref: '#/components/schemas/task'
        - properties:
            generated:
              items:
                description: URL of the generated image
                format: uri
                type: string
              type: array
          required:
            - generated
          type: object
      example:
        generated:
          - https://openapi-generator.tech
          - https://openapi-generator.tech
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
    inline_object:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    inline_object_1:
      properties:
        problem:
          $ref: '#/components/schemas/inline_object_1_problem'
      type: object
    inline_object_2:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    inline_object_3:
      example:
        message: Service Unavailable. Please try again later.
      properties:
        message:
          example: Service Unavailable. Please try again later.
          type: string
      type: object
    task:
      example:
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
      properties:
        task_id:
          description: Task identifier
          format: uuid
          type: string
        status:
          description: Task status
          enum:
            - CREATED
            - IN_PROGRESS
            - COMPLETED
            - FAILED
          type: string
      required:
        - status
        - task_id
      type: object
    inline_object_1_problem:
      properties:
        message:
          example: Validation error
          type: string
        invalid_params:
          items:
            $ref: '#/components/schemas/inline_object_1_problem_invalid_params_inner'
          type: array
      required:
        - invalid_params
        - message
      type: object
    inline_object_1_problem_invalid_params_inner:
      properties:
        name:
          description: Name of the invalid parameter.
          example: page
          type: string
        field:
          description: Field of the invalid parameter. Mirrors `name`.
          example: page
          type: string
        reason:
          example: Parameter 'page' must be greater than 0
          type: string
      required:
        - field
        - name
        - reason
      type: object
  examples:
    200-task-in-progress:
      summary: Success - Task in progress
      value:
        data:
          generated: []
          task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status: IN_PROGRESS
  responses:
    400-bad-request:
      content:
        application/json:
          examples:
            invalid_page:
              summary: Parameter 'page' is not valid
              value:
                message: Parameter 'page' must be greater than 0
            invalid_query:
              summary: Parameter 'query' is not valid
              value:
                message: Parameter 'query' must not be empty
            invalid_filter:
              summary: Parameter 'filter' is not valid
              value:
                message: Parameter 'filter' is not valid
            generic_bad_request:
              summary: Bad Request
              value:
                message: Parameter ':attribute' is not valid
          schema:
            $ref: '#/components/schemas/inline_object'
        application/problem+json:
          examples:
            invalid_page:
              summary: Parameter 'page' is not valid
              value:
                message: Validation error
                invalid_params:
                  - field: page
                    reason: Parameter 'page' must be greater than 0
                  - field: per_page
                    reason: Parameter 'per_page' must be greater than 0
          schema:
            $ref: '#/components/schemas/inline_object_1'
      description: >-
        Bad Request - The server could not understand the request due to invalid
        syntax.
    401-unauthorized:
      content:
        application/json:
          examples:
            invalid_api_key:
              summary: API key is not valid
              value:
                message: Invalid API key
            missing_api_key:
              summary: API key is not provided
              value:
                message: Missing API key
          schema:
            $ref: '#/components/schemas/inline_object'
      description: >-
        Unauthorized - The client must authenticate itself to get the requested
        response.
    500-internal-server-error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/inline_object_2'
      description: >-
        Internal Server Error - The server has encountered a situation it
        doesn't know how to handle.
    503-service-unavailable:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/inline_object_3'
      description: Service Unavailable
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.